Subject: bug#63728: GHC cannot find lrt

From: Josselin Poiret <[email-masked]>
Date: Wed, 31 May 2023 20:40:28 +0200

Hi everyone,

Mekeor Melire <[email-masked]> writes:

> Hm. Alternatively, we could just fix gcc-toolchain (so that it 
> includes rt). But maintainers (understandably) hesitate because 
> this will trigger a world rebuild.

Yet another alternative would be to patch GHC to not include `-lrt` in
its flags.  Yet another big rebuild though!  The proper fix in the
meantime is as you mentioned: add ghc-toolchain to contain everything
that's needed.  I find it weird though, since I've never had to do
anything of the sort when building Agda locally since the core-updates
merge though.

Best,
-- 
Josselin Poiret